%load data set
%n=100, T=5
%y n x T matrix of depedent variables
%Z n x T matrix with exogenous covariates
%M n^2 x T matrix of network weights, vectorized: M  = vec(M1,M2,M3,M4,M5)
%H n*dimH x (T-1) matrix of instruments where dimH is the number of instruments h
%AmF n^2*dimA x T matrix of vectorized A matrices (note that last column is left = 0)
%VmF dimA^2 x T matrix of weight matrices for quadratic moments,(note that last column is left = 0) 
%code generates W matrix: dynamicM = 0 -> W = (My,Z,MZ), dynamicM = 1 ->
%W=(My,y_1,My_1) where y_1 is the lag of y

load('ExampleData');

%Estimate model with factors - lambda_f,beta_f are consistent starting
%values, lambda_hat and beta_hat are the GMM estimators

[lambda_hat_Fac,beta_hat_Fac,lambda_f_Fac,beta_f_Fac] = Estimator_GMMFactor(y,Z,M,H,AmF,VmF,dynamicM,n,T);

%Estimate model without factors - lambda_f,beta_f are consistent starting
%values, lambda_hat and beta_hat are the GMM estimators

[lambda_hat,beta_hat,lambda_f,beta_f] = Estimator_GMMFixed( y,Z,M,H,AmF,VmF,dynamicM,n,T );

